Mailinglist Archive: zypp-devel (31 mails)

< Previous Next >
Re: [zypp-devel] zypper tries to keep installing packages that are already at the current version
  • From: "Bernhard Rosenkraenzer" <br@xxxxxxxxxxxx>
  • Date: Sun, 16 Jan 2011 20:00:04 +0100
  • Message-id: <54fd-4d334000-3-b07cd00@177906350>
Hi,

On Sunday, January 16, 2011 18:25 CET, Klaus Kaempf <kkaempf@xxxxxxx> wrote:

* Bernhard Rosenkraenzer <br@xxxxxxxxxxxx> [Jan 14. 2011 19:00]:
Hi,
Current (today's git) sat-solver, libzypp and zypper keeps telling me I
need to install some packages even though they're already there and at the
current version:

What's your base system ? OpenSUSE Factory ?

Ark Linux - chances are the problem is with the connectivity between rpm 5.x
and zypper.

[...]
2011-01-14 17:44:37 <1> matterhorn.blankpage.ch(2380) [satsolver++]
PoolImpl.cc(logSat):92 added 0 rpm rules for installed solvables

Hmm, this (0 rpm rules) looks suspicious. As if no installed packages
are found ?!

It finds installed packages and actually knows about them when resolving
dependencies.

Any ideas what might be going wrong here?

Does "zypper search" show installed packages ?

This is odd...
In a first run, it listed some packages as installed and the log message was
different:

2011-01-14 19:24:54 <1> matterhorn.blankpage.ch(2553) [satsolver++]
PoolImpl.cc(logSat):92 added 17330 rpm rules for installed solvables

In several subsequent tries, it didn't show any packages as installed.
rpm still does list packages as installed and doesn't complain about database
corruption or anything.

Can you point me at the part of the code that checks which packages are
installed to speed up debbuging things?

Thanks
bero
--
To unsubscribe, e-mail: zypp-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: zypp-devel+help@xxxxxxxxxxxx

< Previous Next >
References